<?php

/**
* Clase Bean para GastosGenerales
*
* @package Prj
* @subpackage CierrePedido
* @author Willy
* @version SVN: : CierrePedido.class.php,v 1.1 2009/06/01 15:25:02 william.taype Exp $
*/
class CierrePedidoBean{

  protected $Idpedidofecha;
  protected $IdSucursal;
  protected $Fecha;
  protected $Estado;
  protected $UsuarioCreacion;
  protected $FechaCreacion;
  protected $UsuarioModificacion;
  protected $FechaModificacion;
  
  protected $FechaCierre;
  protected $IdColaboradorCierre;
  protected $UsuarioCreacionCierre;
  protected $FechaCreacionCierre;
  protected $UsuarioModificacionCierre;
  protected $FechaModificacionCierre;

  protected $Mensaje;
  protected $Error;

  public function getIdpedidofecha(){
    return $this->Idpedidofecha;
  }
  public function setIdpedidofecha($v){
    $this->Idpedidofecha = $v;
  }
  
  public function getNumeropedidos(){
    return $this->numeropedidos;
  }
  public function setNumeropedidos($v){
    $this->numeropedidos = $v;
  }
	
  public function getNumeropedidosAprobados(){
    return $this->numeropedidosaprobados;
  }
  public function setNumeropedidosAprobados($v){
    $this->numeropedidosaprobados = $v;
  }
  
  public function getNumeropedidosDesaprobados(){
    return $this->numeropedidosdesaprobados;
  }
  public function setNumeropedidosDesaprobados($v){
    $this->numeropedidosdesaprobados = $v;
  }
  
  public function getIdpedidocabecera(){
    return $this->Idpedidocabecera;
  }
  public function setIdpedidocabecera($v){
    $this->Idpedidocabecera = $v;
  }

   	
  public function getNombreRep(){
    return $this->NombreRep;
  }
  public function setNombreRep($v){
    $this->NombreRep = $v;
  }
  
  public function getIdSucursal(){
    return $this->IdSucursal;
  }
  public function setIdSucursal($v){
    $this->IdSucursal = $v;
  }
  public function getDescripcionSucursal(){
    return $this->DescripcionSucursal;
  }
  public function setDescripcionSucursal($v){
    $this->DescripcionSucursal = $v;
  }
  public function getComentario(){
    return $this->Comentario;
  }
  public function setComentario($v){
    $this->Comentario = $v;
  }
  public function getFecha(){
    return $this->Fecha;
  }
  public function setFecha($v){
    $this->Fecha = $v;
  }
  public function getFechaInicial(){
    return $this->FechaInicial;
  }
  public function setFechaInicial($v){
    $this->FechaInicial = $v;
  }
  public function getFechaFinal(){
    return $this->FechaFinal;
  }
  public function setFechaFinal($v){
    $this->FechaFinal = $v;
  }
  public function getEstado(){
    return $this->Estado;
  }
  public function setEstado($v){
    $this->Estado = $v;
  }

  public function getUsuarioCreacion(){
    return $this->UsuarioCreacion;
  }
  public function setUsuarioCreacion($v){
    $this->UsuarioCreacion = $v;
  }

  public function getFechaCreacion(){
    return $this->FechaCreacion;
  }
  public function setFechaCreacion($v){
    $this->FechaCreacion = $v;
  }

  public function getUsuarioModificacion(){
    return $this->UsuarioModificacion;
  }
  public function setUsuarioModificacion($v){
    $this->UsuarioModificacion = $v;
  }

  public function getFechaModificacion(){
    return $this->FechaModificacion;
  }
  public function setFechaModificacion($v){
    $this->FechaModificacion = $v;
  }
   
  public function getFechaCierre(){
    return $this->FechaCierre;
  }
  public function setFechaCierre($v){
    $this->FechaCierre = $v;
  } 
  public function getIdColaborador(){
    return $this->IdColaborador;
  }
  public function setIdColaborador($v){
    $this->IdColaborador = $v;
  }
  
  public function getFechaCreacionCierre(){
    return $this->FechaCreacionCierre;
  }
  public function setFechaCreacionCierre($v){
    $this->FechaCreacionCierre = $v;
  }

  public function getUsuarioCreacionCierre(){
    return $this->UsuarioCreacionCierre;
  }
  public function setUsuarioCreacionCierre($v){
    $this->UsuarioCreacionCierre = $v;
  }

  public function getUsuarioModificacionCierre(){
    return $this->UsuarioModificacionCierre;
  }
  public function setUsuarioModificacionCierre($v){
    $this->UsuarioModificacionCierre = $v;
  } 
  
  public function getFechaModificacionCierre(){
    return $this->FechaModificacionCierre;
  }
  public function setFechaModificacionCierre($v){
    $this->FechaModificacionCierre = $v;
  }

  
  public function getMensaje(){
    return $this->Mensaje;
  }
  public function setMensaje($vl){
    $this->Mensaje = $vl;
  }

  public function getError(){
    return $this->Error;
  }
  public function setError($vl){
    $this->Error = $vl;
  }

}